#!/bin/bash

url=`echo "$1" | sed 's/%2E/./g'`
proto=`echo $url | sed 's/:.*//'`
host=`echo $url | sed 's#.*://*##'`
term="/usr/bin/Eterm -g 80x40 -T Console --term-name=linux -e"

case "$proto" in
	ssh|SSH|ssH|sSh|Ssh|SSh|SsH|sSH)
	$term /usr/bin/ssh $host
	;;
	*)
	echo "Unsupported protocol: $proto"
esac
